Bug 2025528 - b2sdk has incompatible version constraint on python-arrow
Summary: b2sdk has incompatible version constraint on python-arrow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-b2sdk
Version: 35
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jonny Heggheim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-22 13:03 UTC by Ian Stapleton Cordasco
Modified: 2021-12-11 01:32 UTC (History)
1 user (show)

Fixed In Version: python-b2sdk-1.13.0-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-11 01:32:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Ian Stapleton Cordasco 2021-11-22 13:03:13 UTC
Description of problem:
It looks as though relesae automation re-packaged python-b2sdk for Fedora 35 despite it being un-installable

Version-Release number of selected component (if applicable):
Version      : 1.4.0
Release      : 3.fc35


How reproducible:
100%

Steps to Reproduce:
1. dnf update --refresh
2. dnf install -y python3-b2sdk

Actual results:
Last metadata expiration check: 0:00:28 ago on Mon 22 Nov 2021 05:48:21 AM CST.
Error: 
 Problem: conflicting requests
  - nothing provides (python3.10dist(arrow) < 1 with python3.10dist(arrow) >= 0.8) needed by python3-b2sdk-1.4.0-3.fc35.noarch
(try to add '--skip-broken' to skip uninstallable packages)


Expected results:
Successful installation of python3-b2sdk

Additional info:
It seems all newer releases of python3-b2sdk upstream have this same version constraint, but they will be releasing a version that soon relaxes that. There's a pull request now to allow them to relax the constraint https://github.com/Backblaze/B2_Command_Line_Tool/pull/769 but that will likely be in a 1.15 or later release. Would that be accepted as a new package version here?

Comment 1 Fedora Update System 2021-12-02 18:25:25 UTC
FEDORA-2021-cc218f02de has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cc218f02de

Comment 2 Jonny Heggheim 2021-12-02 21:58:06 UTC
(In reply to Ian Stapleton Cordasco from comment #0)
> Additional info:
> It seems all newer releases of python3-b2sdk upstream have this same version
> constraint, but they will be releasing a version that soon relaxes that.
> There's a pull request now to allow them to relax the constraint
> https://github.com/Backblaze/B2_Command_Line_Tool/pull/769 but that will
> likely be in a 1.15 or later release. Would that be accepted as a new
> package version here?


Hmm.. I missed the whole PR, will make a build tomorrow

Comment 3 Fedora Update System 2021-12-03 01:49:50 UTC
FEDORA-2021-cc218f02de has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cc218f02de`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cc218f02de

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-12-11 01:32:24 UTC
FEDORA-2021-cc218f02de has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.